tests/testMultiIndex.py

aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1942076 kB, VmSize: 1942076 kB, VmRSS: 310348 kB, VmData: 399328 kB, Mmaps: 1730, Mmaps: 1942076 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1943372 kB, VmSize: 1943372 kB, VmRSS: 311812 kB, VmData: 400624 kB, Mmaps: 1730, Mmaps: 1943372 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1943372 kB, VmSize: 1942876 kB, VmRSS: 311656 kB, VmData: 400368 kB, Mmaps: 1717, Mmaps: 1942876 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00079200000000013
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+22/meas_extensions_astrometryNet-master-g43362ee2f3+22/tests/astrometry_net_data/photocal/mindex-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=2.11; loadPixelBoxStartUserTime=1.751233; loadPixelBoxStartSystemTime=0.36529999999999996; loadPixelBoxStartMaxResidentSetSize=311812; loadPixelBoxStartMinorPageFaults=87667; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=24; loadPixelBoxStartBlockOutputs=88; loadPixelBoxStartVoluntaryContextSwitches=16; loadPixelBoxStartInvoluntaryContextSwitches=136098
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=2.11; loadSkyCircleStartUserTime=1.751935; loadSkyCircleStartSystemTime=0.36529999999999996; loadSkyCircleStartMaxResidentSetSize=311812; loadSkyCircleStartMinorPageFaults=87677; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=24; loadSkyCircleStartBlockOutputs=96; loadSkyCircleStartVoluntaryContextSwitches=16; loadSkyCircleStartInvoluntaryContextSwitches=136098
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=2.11; _readIndexFilesStartUserTime=1.752216; _readIndexFilesStartSystemTime=0.36529999999999996; _readIndexFilesStartMaxResidentSetSize=311812; _readIndexFilesStartMinorPageFaults=87677; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=96; _readIndexFilesStartVoluntaryContextSwitches=16; _readIndexFilesStartInvoluntaryContextSwitches=136098
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=2.11; _readIndexFilesEndUserTime=1.752368; _readIndexFilesEndSystemTime=0.36532699999999996; _readIndexFilesEndMaxResidentSetSize=311812; _readIndexFilesEndMinorPageFaults=87679; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=96; _readIndexFilesEndVoluntaryContextSwitches=16; _readIndexFilesEndInvoluntaryContextSwitches=136098
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=2.11; loadSkyCircleEndUserTime=1.755173; loadSkyCircleEndSystemTime=0.36532699999999996; loadSkyCircleEndMaxResidentSetSize=311936; loadSkyCircleEndMinorPageFaults=87947; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=24; loadSkyCircleEndBlockOutputs=96; loadSkyCircleEndVoluntaryContextSwitches=16; loadSkyCircleEndInvoluntaryContextSwitches=136098
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=2.12; loadPixelBoxEndUserTime=1.761866; loadPixelBoxEndSystemTime=0.36532699999999996; loadPixelBoxEndMaxResidentSetSize=311936; loadPixelBoxEndMinorPageFaults=87979; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=24; loadPixelBoxEndBlockOutputs=96; loadPixelBoxEndVoluntaryContextSwitches=16; loadPixelBoxEndInvoluntaryContextSwitches=136098
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
/build/python/miniconda3-4.2.12/lib/python3.5/site-packages/astropy/config/configuration.py:541: ConfigurationMissingWarning: Configuration defaults will be used due to OSError:Could not find unix home directory to search for astropy config dir on None
  warn(ConfigurationMissingWarning(msg))
/build/stack/miniconda3-4.2.12-7c8e67/Linux64/python_future/0.16.0/lib/python/future-0.16.0-py3.5.egg/past/builtins/misc.py:79: DeprecationWarning: 'U' mode is deprecated
  with open(filename, "rbU") as fin:
/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+22/meas_extensions_astrometryNet-master-g43362ee2f3+22/python/lsst/meas/extensions/astrometryNet/multiindex.py:213: PyfitsDeprecationWarning: The new_table function is deprecated as of version 3.3 and may be removed in a future version.

        Use :meth:`BinTableHDU.from_columns` for new BINARY tables or :meth:`TableHDU.from_columns` for new ASCII tables instead.
  ], nrows=len(self._multiInds))
/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+22/meas_extensions_astrometryNet-master-g43362ee2f3+22/python/lsst/meas/extensions/astrometryNet/multiindex.py:221: PyfitsDeprecationWarning: The new_table function is deprecated as of version 3.3 and may be removed in a future version.

        Use :meth:`BinTableHDU.from_columns` for new BINARY tables or :meth:`TableHDU.from_columns` for new ASCII tables instead.
  ], nrows=numFilenames)
/build/stack/miniconda3-4.2.12-7c8e67/Linux64/astrometry_net/0.67.123ff3e.lsst1+1/lib/python/astrometry/util/ttime.py:13: ResourceWarning: unclosed file <_io.TextIOWrapper name='/proc/16345/status' mode='r' encoding='ANSI_X3.4-1968'>
  t = open(procfn).readlines()
/build/stack/miniconda3-4.2.12-7c8e67/Linux64/astrometry_net/0.67.123ff3e.lsst1+1/lib/python/astrometry/util/ttime.py:20: ResourceWarning: unclosed file <_io.TextIOWrapper name='/proc/16345/maps' mode='r' encoding='ANSI_X3.4-1968'>
  t = open(procfn).readlines()
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=2.49; _readIndexFilesStartUserTime=2.122706; _readIndexFilesStartSystemTime=0.373178; _readIndexFilesStartMaxResidentSetSize=312856; _readIndexFilesStartMinorPageFaults=89930; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=104; _readIndexFilesStartVoluntaryContextSwitches=16; _readIndexFilesStartInvoluntaryContextSwitches=136098
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=2.49; _readIndexFilesEndUserTime=2.126594; _readIndexFilesEndSystemTime=0.37416; _readIndexFilesEndMaxResidentSetSize=312856; _readIndexFilesEndMinorPageFaults=90093; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=104; _readIndexFilesEndVoluntaryContextSwitches=16; _readIndexFilesEndInvoluntaryContextSwitches=136098
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1943736 kB, VmSize: 1943736 kB, VmRSS: 312624 kB, VmData: 400856 kB, Mmaps: 1736, Mmaps: 1943736 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1944392 kB, VmSize: 1944392 kB, VmRSS: 313412 kB, VmData: 401512 kB, Mmaps: 1736, Mmaps: 1944392 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1944392 kB, VmSize: 1944020 kB, VmRSS: 313624 kB, VmData: 401512 kB, Mmaps: 1718, Mmaps: 1944020 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00072799999999962
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+22/meas_extensions_astrometryNet-master-g43362ee2f3+22/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=2.52; loadPixelBoxStartUserTime=2.154014; loadPixelBoxStartSystemTime=0.376185; loadPixelBoxStartMaxResidentSetSize=313732; loadPixelBoxStartMinorPageFaults=90347; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=24; loadPixelBoxStartBlockOutputs=112; loadPixelBoxStartVoluntaryContextSwitches=16; loadPixelBoxStartInvoluntaryContextSwitches=136098
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=2.52; loadSkyCircleStartUserTime=2.154482; loadSkyCircleStartSystemTime=0.376185; loadSkyCircleStartMaxResidentSetSize=313732; loadSkyCircleStartMinorPageFaults=90347; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=24; loadSkyCircleStartBlockOutputs=112; loadSkyCircleStartVoluntaryContextSwitches=16; loadSkyCircleStartInvoluntaryContextSwitches=136098
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=2.52; _readIndexFilesStartUserTime=2.154765; _readIndexFilesStartSystemTime=0.376185; _readIndexFilesStartMaxResidentSetSize=313732; _readIndexFilesStartMinorPageFaults=90347; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=112; _readIndexFilesStartVoluntaryContextSwitches=16; _readIndexFilesStartInvoluntaryContextSwitches=136098
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=2.52; _readIndexFilesEndUserTime=2.155087; _readIndexFilesEndSystemTime=0.376185; _readIndexFilesEndMaxResidentSetSize=313732; _readIndexFilesEndMinorPageFaults=90347; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=120; _readIndexFilesEndVoluntaryContextSwitches=16; _readIndexFilesEndInvoluntaryContextSwitches=136098
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=2.52; loadSkyCircleEndUserTime=2.159328; loadSkyCircleEndSystemTime=0.376185; loadSkyCircleEndMaxResidentSetSize=313732; loadSkyCircleEndMinorPageFaults=90580; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=24; loadSkyCircleEndBlockOutputs=120; loadSkyCircleEndVoluntaryContextSwitches=16; loadSkyCircleEndInvoluntaryContextSwitches=136098
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=2.53; loadPixelBoxEndUserTime=2.16598; loadPixelBoxEndSystemTime=0.376185; loadPixelBoxEndMaxResidentSetSize=313732; loadPixelBoxEndMinorPageFaults=90580; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=24; loadPixelBoxEndBlockOutputs=120; loadPixelBoxEndVoluntaryContextSwitches=16; loadPixelBoxEndInvoluntaryContextSwitches=136098
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=2.9; _readIndexFilesStartUserTime=2.52683; _readIndexFilesStartSystemTime=0.38103; _readIndexFilesStartMaxResidentSetSize=317892; _readIndexFilesStartMinorPageFaults=91140; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=120; _readIndexFilesStartVoluntaryContextSwitches=16; _readIndexFilesStartInvoluntaryContextSwitches=136099
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=2.91; _readIndexFilesEndUserTime=2.530459; _readIndexFilesEndSystemTime=0.38103; _readIndexFilesEndMaxResidentSetSize=317900; _readIndexFilesEndMinorPageFaults=91146; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=120; _readIndexFilesEndVoluntaryContextSwitches=16; _readIndexFilesEndInvoluntaryContextSwitches=136099
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1948608 kB, VmSize: 1948608 kB, VmRSS: 317900 kB, VmData: 405852 kB, Mmaps: 1731, Mmaps: 1948608 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1948608 kB, VmSize: 1948608 kB, VmRSS: 317900 kB, VmData: 405852 kB, Mmaps: 1731, Mmaps: 1948608 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1948608 kB, VmSize: 1948360 kB, VmRSS: 317892 kB, VmData: 405852 kB, Mmaps: 1718, Mmaps: 1948360 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00067200000000023
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+22/meas_extensions_astrometryNet-master-g43362ee2f3+22/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=2.93; loadPixelBoxStartUserTime=2.553121; loadPixelBoxStartSystemTime=0.38692699999999997; loadPixelBoxStartMaxResidentSetSize=317996; loadPixelBoxStartMinorPageFaults=91170; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=24; loadPixelBoxStartBlockOutputs=128; loadPixelBoxStartVoluntaryContextSwitches=16; loadPixelBoxStartInvoluntaryContextSwitches=136099
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=2.93; loadSkyCircleStartUserTime=2.553601; loadSkyCircleStartSystemTime=0.38699999999999996; loadSkyCircleStartMaxResidentSetSize=317996; loadSkyCircleStartMinorPageFaults=91170; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=24; loadSkyCircleStartBlockOutputs=136; loadSkyCircleStartVoluntaryContextSwitches=16; loadSkyCircleStartInvoluntaryContextSwitches=136099
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=2.93; _readIndexFilesStartUserTime=2.5538879999999997; _readIndexFilesStartSystemTime=0.38704299999999997; _readIndexFilesStartMaxResidentSetSize=317996; _readIndexFilesStartMinorPageFaults=91170; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=136; _readIndexFilesStartVoluntaryContextSwitches=16; _readIndexFilesStartInvoluntaryContextSwitches=136099
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=2.93; _readIndexFilesEndUserTime=2.5541869999999998; _readIndexFilesEndSystemTime=0.38704299999999997; _readIndexFilesEndMaxResidentSetSize=317996; _readIndexFilesEndMinorPageFaults=91170; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=136; _readIndexFilesEndVoluntaryContextSwitches=16; _readIndexFilesEndInvoluntaryContextSwitches=136099
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=2.93; loadSkyCircleEndUserTime=2.557075; loadSkyCircleEndSystemTime=0.387047; loadSkyCircleEndMaxResidentSetSize=317996; loadSkyCircleEndMinorPageFaults=91375; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=24; loadSkyCircleEndBlockOutputs=136; loadSkyCircleEndVoluntaryContextSwitches=16; loadSkyCircleEndInvoluntaryContextSwitches=136099
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=2.94; loadPixelBoxEndUserTime=2.563467; loadPixelBoxEndSystemTime=0.387047; loadPixelBoxEndMaxResidentSetSize=317996; loadPixelBoxEndMinorPageFaults=91375; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=24; loadPixelBoxEndBlockOutputs=136; loadPixelBoxEndVoluntaryContextSwitches=16; loadPixelBoxEndInvoluntaryContextSwitches=136099
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.31; _readIndexFilesStartUserTime=2.921319; _readIndexFilesStartSystemTime=0.390845; _readIndexFilesStartMaxResidentSetSize=317996; _readIndexFilesStartMinorPageFaults=91379; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=144; _readIndexFilesStartVoluntaryContextSwitches=16; _readIndexFilesStartInvoluntaryContextSwitches=136100
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.31; _readIndexFilesEndUserTime=2.924544; _readIndexFilesEndSystemTime=0.390874; _readIndexFilesEndMaxResidentSetSize=317996; _readIndexFilesEndMinorPageFaults=91385; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=144; _readIndexFilesEndVoluntaryContextSwitches=16; _readIndexFilesEndInvoluntaryContextSwitches=136100
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1948776 kB, VmSize: 1948608 kB, VmRSS: 317900 kB, VmData: 405852 kB, Mmaps: 1731, Mmaps: 1948608 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1948776 kB, VmSize: 1948608 kB, VmRSS: 317900 kB, VmData: 405852 kB, Mmaps: 1731, Mmaps: 1948608 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1948776 kB, VmSize: 1948360 kB, VmRSS: 317892 kB, VmData: 405852 kB, Mmaps: 1718, Mmaps: 1948360 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00068300000000043
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+22/meas_extensions_astrometryNet-master-g43362ee2f3+22/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=3.33; loadPixelBoxStartUserTime=2.948399; loadPixelBoxStartSystemTime=0.39686099999999996; loadPixelBoxStartMaxResidentSetSize=317996; loadPixelBoxStartMinorPageFaults=91409; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=24; loadPixelBoxStartBlockOutputs=152; loadPixelBoxStartVoluntaryContextSwitches=16; loadPixelBoxStartInvoluntaryContextSwitches=136100
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=3.33; loadSkyCircleStartUserTime=2.948938; loadSkyCircleStartSystemTime=0.396933; loadSkyCircleStartMaxResidentSetSize=317996; loadSkyCircleStartMinorPageFaults=91409; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=24; loadSkyCircleStartBlockOutputs=152; loadSkyCircleStartVoluntaryContextSwitches=16; loadSkyCircleStartInvoluntaryContextSwitches=136100
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.33; _readIndexFilesStartUserTime=2.949362; _readIndexFilesStartSystemTime=0.396933; _readIndexFilesStartMaxResidentSetSize=317996; _readIndexFilesStartMinorPageFaults=91409; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=152; _readIndexFilesStartVoluntaryContextSwitches=16; _readIndexFilesStartInvoluntaryContextSwitches=136100
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.33; _readIndexFilesEndUserTime=2.949521; _readIndexFilesEndSystemTime=0.396933; _readIndexFilesEndMaxResidentSetSize=317996; _readIndexFilesEndMinorPageFaults=91409; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=152; _readIndexFilesEndVoluntaryContextSwitches=16; _readIndexFilesEndInvoluntaryContextSwitches=136100
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=3.34; loadSkyCircleEndUserTime=2.951521; loadSkyCircleEndSystemTime=0.397879; loadSkyCircleEndMaxResidentSetSize=317996; loadSkyCircleEndMinorPageFaults=91614; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=24; loadSkyCircleEndBlockOutputs=152; loadSkyCircleEndVoluntaryContextSwitches=16; loadSkyCircleEndInvoluntaryContextSwitches=136100
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=3.34; loadPixelBoxEndUserTime=2.958195; loadPixelBoxEndSystemTime=0.397879; loadPixelBoxEndMaxResidentSetSize=317996; loadPixelBoxEndMinorPageFaults=91614; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=24; loadPixelBoxEndBlockOutputs=152; loadPixelBoxEndVoluntaryContextSwitches=16; loadPixelBoxEndInvoluntaryContextSwitches=136100
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.7; _readIndexFilesStartUserTime=3.319926; _readIndexFilesStartSystemTime=0.39983399999999997; _readIndexFilesStartMaxResidentSetSize=317996; _readIndexFilesStartMinorPageFaults=91618; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=160; _readIndexFilesStartVoluntaryContextSwitches=16; _readIndexFilesStartInvoluntaryContextSwitches=136100
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.72; _readIndexFilesEndUserTime=3.323704; _readIndexFilesEndSystemTime=0.400808; _readIndexFilesEndMaxResidentSetSize=317996; _readIndexFilesEndMinorPageFaults=91626; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=160; _readIndexFilesEndVoluntaryContextSwitches=16; _readIndexFilesEndInvoluntaryContextSwitches=136100
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1948776 kB, VmSize: 1948732 kB, VmRSS: 317904 kB, VmData: 405852 kB, Mmaps: 1737, Mmaps: 1948732 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1948776 kB, VmSize: 1948732 kB, VmRSS: 317904 kB, VmData: 405852 kB, Mmaps: 1737, Mmaps: 1948732 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1948776 kB, VmSize: 1948360 kB, VmRSS: 317892 kB, VmData: 405852 kB, Mmaps: 1718, Mmaps: 1948360 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 182
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 77
meas_astrom*an*n_meanxcut = 455
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00075300000000000
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+22/meas_extensions_astrometryNet-master-g43362ee2f3+22/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=3.74; loadPixelBoxStartUserTime=3.348408; loadPixelBoxStartSystemTime=0.40477399999999997; loadPixelBoxStartMaxResidentSetSize=318000; loadPixelBoxStartMinorPageFaults=91650; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=24; loadPixelBoxStartBlockOutputs=168; loadPixelBoxStartVoluntaryContextSwitches=16; loadPixelBoxStartInvoluntaryContextSwitches=136100
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=3.74; loadSkyCircleStartUserTime=3.348885; loadSkyCircleStartSystemTime=0.40483199999999997; loadSkyCircleStartMaxResidentSetSize=318000; loadSkyCircleStartMinorPageFaults=91650; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=24; loadSkyCircleStartBlockOutputs=168; loadSkyCircleStartVoluntaryContextSwitches=16; loadSkyCircleStartInvoluntaryContextSwitches=136100
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.74; _readIndexFilesStartUserTime=3.349292; _readIndexFilesStartSystemTime=0.40483199999999997; _readIndexFilesStartMaxResidentSetSize=318000; _readIndexFilesStartMinorPageFaults=91650; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=168; _readIndexFilesStartVoluntaryContextSwitches=16; _readIndexFilesStartInvoluntaryContextSwitches=136100
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.74; _readIndexFilesEndUserTime=3.349451; _readIndexFilesEndSystemTime=0.40483199999999997; _readIndexFilesEndMaxResidentSetSize=318000; _readIndexFilesEndMinorPageFaults=91650; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=168; _readIndexFilesEndVoluntaryContextSwitches=16; _readIndexFilesEndInvoluntaryContextSwitches=136100
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=3.75; loadSkyCircleEndUserTime=3.353673; loadSkyCircleEndSystemTime=0.40483199999999997; loadSkyCircleEndMaxResidentSetSize=318000; loadSkyCircleEndMinorPageFaults=91883; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=24; loadSkyCircleEndBlockOutputs=176; loadSkyCircleEndVoluntaryContextSwitches=16; loadSkyCircleEndInvoluntaryContextSwitches=136100
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=3.76; loadPixelBoxEndUserTime=3.360252; loadPixelBoxEndSystemTime=0.40483199999999997; loadPixelBoxEndMaxResidentSetSize=318000; loadPixelBoxEndMinorPageFaults=91883; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=24; loadPixelBoxEndBlockOutputs=176; loadPixelBoxEndVoluntaryContextSwitches=16; loadPixelBoxEndInvoluntaryContextSwitches=136100
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.11; _readIndexFilesStartUserTime=3.717295; _readIndexFilesStartSystemTime=0.407786; _readIndexFilesStartMaxResidentSetSize=318000; _readIndexFilesStartMinorPageFaults=91887; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=176; _readIndexFilesStartVoluntaryContextSwitches=16; _readIndexFilesStartInvoluntaryContextSwitches=136101
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.11; _readIndexFilesEndUserTime=3.719804; _readIndexFilesEndSystemTime=0.407786; _readIndexFilesEndMaxResidentSetSize=318000; _readIndexFilesEndMinorPageFaults=91893; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=176; _readIndexFilesEndVoluntaryContextSwitches=16; _readIndexFilesEndInvoluntaryContextSwitches=136101
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1948900 kB, VmSize: 1948600 kB, VmRSS: 317900 kB, VmData: 405852 kB, Mmaps: 1731, Mmaps: 1948600 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1948900 kB, VmSize: 1948600 kB, VmRSS: 317900 kB, VmData: 405852 kB, Mmaps: 1731, Mmaps: 1948600 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1948900 kB, VmSize: 1948360 kB, VmRSS: 317892 kB, VmData: 405852 kB, Mmaps: 1718, Mmaps: 1948360 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00071999999999939
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+22/meas_extensions_astrometryNet-master-g43362ee2f3+22/tests/astrometry_net_data/photocal/mindex-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=4.15; loadPixelBoxStartUserTime=3.7439; loadPixelBoxStartSystemTime=0.41275999999999996; loadPixelBoxStartMaxResidentSetSize=318000; loadPixelBoxStartMinorPageFaults=91917; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=24; loadPixelBoxStartBlockOutputs=184; loadPixelBoxStartVoluntaryContextSwitches=16; loadPixelBoxStartInvoluntaryContextSwitches=136101
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=4.15; loadSkyCircleStartUserTime=3.7444699999999997; loadSkyCircleStartSystemTime=0.41275999999999996; loadSkyCircleStartMaxResidentSetSize=318000; loadSkyCircleStartMinorPageFaults=91917; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=24; loadSkyCircleStartBlockOutputs=184; loadSkyCircleStartVoluntaryContextSwitches=16; loadSkyCircleStartInvoluntaryContextSwitches=136101
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.15; _readIndexFilesStartUserTime=3.744769; _readIndexFilesStartSystemTime=0.41275999999999996; _readIndexFilesStartMaxResidentSetSize=318000; _readIndexFilesStartMinorPageFaults=91917; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=192; _readIndexFilesStartVoluntaryContextSwitches=16; _readIndexFilesStartInvoluntaryContextSwitches=136101
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.15; _readIndexFilesEndUserTime=3.744935; _readIndexFilesEndSystemTime=0.41276399999999996; _readIndexFilesEndMaxResidentSetSize=318000; _readIndexFilesEndMinorPageFaults=91917; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=192; _readIndexFilesEndVoluntaryContextSwitches=16; _readIndexFilesEndInvoluntaryContextSwitches=136101
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=4.15; loadSkyCircleEndUserTime=3.746642; loadSkyCircleEndSystemTime=0.41373299999999996; loadSkyCircleEndMaxResidentSetSize=318000; loadSkyCircleEndMinorPageFaults=92146; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=24; loadSkyCircleEndBlockOutputs=192; loadSkyCircleEndVoluntaryContextSwitches=16; loadSkyCircleEndInvoluntaryContextSwitches=136101
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=4.16; loadPixelBoxEndUserTime=3.753001; loadPixelBoxEndSystemTime=0.413771; loadPixelBoxEndMaxResidentSetSize=318000; loadPixelBoxEndMinorPageFaults=92146; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=24; loadPixelBoxEndBlockOutputs=192; loadPixelBoxEndVoluntaryContextSwitches=16; loadPixelBoxEndInvoluntaryContextSwitches=136101
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.55; _readIndexFilesStartUserTime=4.146022; _readIndexFilesStartSystemTime=0.417707; _readIndexFilesStartMaxResidentSetSize=318000; _readIndexFilesStartMinorPageFaults=94389; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=192; _readIndexFilesStartVoluntaryContextSwitches=16; _readIndexFilesStartInvoluntaryContextSwitches=136101
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.77; _readIndexFilesEndUserTime=4.328682; _readIndexFilesEndSystemTime=0.45069499999999996; _readIndexFilesEndMaxResidentSetSize=376360; _readIndexFilesEndMinorPageFaults=109328; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=200; _readIndexFilesEndVoluntaryContextSwitches=16; _readIndexFilesEndInvoluntaryContextSwitches=136101
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 2031188 kB, VmSize: 2030676 kB, VmRSS: 377244 kB, VmData: 464168 kB, Mmaps: 2925, Mmaps: 2030676 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 2031320 kB, VmSize: 2031064 kB, VmRSS: 381616 kB, VmData: 464556 kB, Mmaps: 2925, Mmaps: 2031064 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 2031320 kB, VmSize: 2007320 kB, VmRSS: 376748 kB, VmData: 464812 kB, Mmaps: 1719, Mmaps: 2007320 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 11316
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 4708
meas_astrom*an*n_meanxcut = 28738
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.0093649999999990
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+22/meas_extensions_astrometryNet-master-g43362ee2f3+22/tests/astrometry_net_data/photocal/mindex-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=4.87; loadPixelBoxStartUserTime=4.41142; loadPixelBoxStartSystemTime=0.464676; loadPixelBoxStartMaxResidentSetSize=382004; loadPixelBoxStartMinorPageFaults=110930; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=24; loadPixelBoxStartBlockOutputs=208; loadPixelBoxStartVoluntaryContextSwitches=16; loadPixelBoxStartInvoluntaryContextSwitches=136101
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=4.87; loadSkyCircleStartUserTime=4.411971; loadSkyCircleStartSystemTime=0.464734; loadSkyCircleStartMaxResidentSetSize=382004; loadSkyCircleStartMinorPageFaults=110930; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=24; loadSkyCircleStartBlockOutputs=208; loadSkyCircleStartVoluntaryContextSwitches=16; loadSkyCircleStartInvoluntaryContextSwitches=136101
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.87; _readIndexFilesStartUserTime=4.412371; _readIndexFilesStartSystemTime=0.464734; _readIndexFilesStartMaxResidentSetSize=382004; _readIndexFilesStartMinorPageFaults=110930; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=208; _readIndexFilesStartVoluntaryContextSwitches=16; _readIndexFilesStartInvoluntaryContextSwitches=136101
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.87; _readIndexFilesEndUserTime=4.412534; _readIndexFilesEndSystemTime=0.464734; _readIndexFilesEndMaxResidentSetSize=382004; _readIndexFilesEndMinorPageFaults=110930; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=208; _readIndexFilesEndVoluntaryContextSwitches=16; _readIndexFilesEndInvoluntaryContextSwitches=136101
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=4.98; loadSkyCircleEndUserTime=4.517815; loadSkyCircleEndSystemTime=0.47371399999999997; loadSkyCircleEndMaxResidentSetSize=382004; loadSkyCircleEndMinorPageFaults=114228; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=24; loadSkyCircleEndBlockOutputs=208; loadSkyCircleEndVoluntaryContextSwitches=16; loadSkyCircleEndInvoluntaryContextSwitches=136101
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=5.0; loadPixelBoxEndUserTime=4.536373; loadPixelBoxEndSystemTime=0.47371399999999997; loadPixelBoxEndMaxResidentSetSize=382004; loadPixelBoxEndMinorPageFaults=114228; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=24; loadPixelBoxEndBlockOutputs=208; loadPixelBoxEndVoluntaryContextSwitches=16; loadPixelBoxEndInvoluntaryContextSwitches=136101
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
...
----------------------------------------------------------------------
Ran 9 tests in 3.422s

OK
Mem0: Memory usage:
max rss: [0.318, 'MB'] MB
VmPeak 1948900 kB
VmSize 1948360 kB
VmRSS 317892 kB
VmData 405852 kB
VmStk 168 kB
Number of mmaps: 1718
None
FD0: 5
100 multi-index files

Mem1:
Memory usage:
max rss: [0.37636, 'MB'] MB
VmPeak 2029752 kB
VmSize 2029752 kB
VmRSS 376360 kB
VmData 463244 kB
VmStk 168 kB
Number of mmaps: 2925
None
FD1: 5

Mem2:
Memory usage:
max rss: [0.382004, 'MB'] MB
VmPeak 2031320 kB
VmSize 2007320 kB
VmRSS 376816 kB
VmData 464812 kB
VmStk 168 kB
Number of mmaps: 1719
None
FD2: 5

Mem3:
Memory usage:
max rss: [0.382004, 'MB'] MB
VmPeak 2031320 kB
VmSize 2007320 kB
VmRSS 376816 kB
VmData 464812 kB
VmStk 168 kB
Number of mmaps: 1719
None
FD3: 5
